/*
 * Copyright (c) 2013 - 2016, Freescale Semiconductor, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *
 * o Redistributions of source code must retain the above copyright notice, this list
 *   of conditions and the following disclaimer.
 *
 * o Redistributions in binary form must reproduce the above copyright notice, this
 *   list of conditions and the following disclaimer in the documentation and/or
 *   other materials provided with the distribution.
 *
 * o Neither the name of Freescale Semiconductor, Inc. nor the names of its
 *   contributors may be used to endorse or promote products derived from this
 *   software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include "fsl_common.h"
#include "fsl_port.h"
#include "pin_mux.h"

/*******************************************************************************
 * Code
 ******************************************************************************/
void BOARD_InitPins(void)
{
    /* Initialize LPUART0 pins below */
    /* Ungate the port clock */
    CLOCK_EnableClock(kCLOCK_PortD);
    PORT_SetPinMux(PORTD, 6U, kPORT_MuxAlt3);
    PORT_SetPinMux(PORTD, 7U, kPORT_MuxAlt3);
    
    
    
    PORT_SetPinMux(PORTD, 2U, kPORT_MuxAsGpio); /* Jumper for debugging */
        
//    /* Initialize Touch pad pins below */
//    /* Ungate the port clock */
//    CLOCK_EnableClock(kCLOCK_PortB);
//    /* Affects PORTB_PCR16 register */
//    PORT_SetPinMux(PORTB, 2U, kPORT_PinDisabledOrAnalog);
//    /* Affects PORTB_PCR17 register */
//    PORT_SetPinMux(PORTB, 18U, kPORT_PinDisabledOrAnalog);
//    
    
    CLOCK_EnableClock(kCLOCK_PortA);  
    PORT_SetPinMux(PORTA, 4U, kPORT_PinDisabledOrAnalog);
    
    /*LED init*/
    CLOCK_EnableClock(kCLOCK_PortE);
    CLOCK_EnableClock(kCLOCK_PortC);
    
    PORT_SetPinMux(PORTE, 29U, kPORT_MuxAsGpio);
    PORT_SetPinMux(PORTE, 30U, kPORT_MuxAsGpio);
    PORT_SetPinMux(PORTD, 0U, kPORT_MuxAsGpio); 
    PORT_SetPinMux(PORTD, 1U, kPORT_MuxAsGpio); 
    PORT_SetPinMux(PORTC, 9U, kPORT_MuxAsGpio); 

}
void BOARD_InitPins_DEBUG(void)
{
    
    CLOCK_EnableClock(kCLOCK_PortA);  
    PORT_SetPinMux(PORTA, 3U, kPORT_PinDisabledOrAnalog);
    PORT_SetPinMux(PORTA, 0U, kPORT_PinDisabledOrAnalog);

}
